require 'tick-tock/duration'
require 'tick-tock/formatter'

module TickTock

  def self.fresh
    TickTock::Duration.new
  end

  def self.time(duration = nil)
    start = Time.now
    yield
    this_timing = TickTock::Duration.from_times(start, Time.now)
    duration.nil? ? this_timing : duration + this_timing
  end

end
